google 浏览器兼容问题

小栗子hl 发布于 2017/08/17 15:26
阅读 111
收藏 0

【Gopher China万字分享】华为云的Go语言云原生实战经验!>>>

标签:

onclick事件:

我想要使用js代码触发click事件:

使用

这个方法,会在低版本谷歌浏览器下报错

 

google 版本:17

 

加载中
0
Asdybing
Asdybing

不能在click里直接window.open 吗?

0
精致
location.href=要跳转到的URL
0
iwaller
iwaller

你是需要做一些额外处理么? a标签本身就可以点击。

你如果要拦截,采用jQuery最后一行也应该是

$(href[0]).click();
return false;

这样才可以兼容低版本。

0
愤怒的码农0
愤怒的码农0

感觉操作有点多余啊,a标签本身就是跳转,如果想在新窗口中打开设置target='_blank'不就行了么。 你这样做是想处理什么呢?

0
小栗子hl
小栗子hl

解决方法:

换种实现写法

 

0
小栗子hl
小栗子hl

谢谢各位的解答

返回顶部
顶部